# Create New Inscription

<mark style="color:green;">**POST**</mark> `https://api.inscribr.io/api/orders/create`

| Param                         | Description                                    |
| ----------------------------- | ---------------------------------------------- |
| files[^1] `(`File\[] `)`      | Blob of files to inscribe **(required)**       |
| destinationAddress `(string)` | Where to deliver inscription to **(required)** |
| parents `(string[])`          | Array of parent inscription ids                |
| speed `(number)`              | Can be decimal **(required)**                  |
| satType `(string)`            | common, custom, or reinscribe **(required)**   |
| postage `(int)`               | value of utxo **(required)**                   |
| bigBlock `(bool)`             | If over 395kb **(required)**                   |
| metadata[^2] `(json)`         | 1 object per file                              |
| compress `(bool)`             | Use brotli (must send compressed files)        |

**If successful, the response to this route will be a JSON containing a value for orderId**\
`{ "orderId": "abc123" }`

[^1]: ```typescript
    file: string
    originalSize: number
    ```

[^2]: ```json
    [ 
        "trait": "value"
        "trait1": "value1"
    ]
    ```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.inscribr.io/create-new-inscription.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
